About OS X 10.10 Yosemite

There are known vulnerabilities for Mac OS X 10.10 "Yosemite" that are not addressed by Apple. Users should migrate to a fully supported version of OS X, see https://information-technology.web.cern.ch/services/fe/howto/software-updates-mac.

The information below is only for historical reference.

Mac OS X 10.10 Yosemite is available since October 16, 2014. It can be installed directly from the Apple AppStore, the install image in DFS or via our NetInstall servers (see https://information-technology.web.cern.ch/services/fe/howto/install-os-... for details about our NetInstall service).

There are three important actions to take before you install Yosemite:

  1. Ensure that all the software you are using is compatible with it. See below for a list of known issues.
  2. Verify your hard-disk or SSD before doing the install.
  3. Make sure you have a recent backup, allowing you to recover your data in case of problems

Known Issues

Here we summarise a list of known issues that have been brought to our attention. Please note that this list is by no means complete. Please contact the Service Desk if you encounter a problem with an application under Yosemite.

Authentication

Using Network Groups from Active Directory (egroups in CERN speak) does not work out of the box. To be able to use Network Groups from Active Directory you have to increase the timeout for replies from the server, otherwise the request will fail and the user can not log in. To increase the timeout you should run

sudo /usr/libexec/PlistBuddy -c "Set :Modules:SystemCache:Membership\ Query\ Timeout\ in\ Seconds 20"  /Library/Preferences/OpenDirectory/opendirectoryd.plist

Please note that this is only needed if you want to enable network groups from AD, if you enable individual AD accounts this is not needed.

GPGMail

The current version of the plugin makes Mail.app crash. A new version is in preparation, but it will not be free.

Lync

Yosemite requires Lync 14.0.10, it is available from smb://cerndata44.cern.ch/d-it-s-mac$/Applications-Main/Lync.

Matlab

Yosemite requires Matlab 2014b. Please note that access to MatLAB requires registration, see http://cern.ch/mathtools for details.

OpenAFS

The latest openAFS installer for OS X 10.9 refuses to install under 10.10. The installer can be tweaked. If you have openAFS 1.6.6 installed already you should be ok.

OS X 10.7

OS X 10.7 will most likely not stop working immediately, but it is obvious that Apple does not support it any longer. Some crtitical security issues have not been fixed via Software Updates. Users that use an OS X version below 10.8 should upgrade their OS as soon as possible.

WiFi

OS X 10.10 and 10.10.1 have issues with wireless networks. The symptoms are significantly reduced throughput and  frequent connection loses ("Broken pipe"). These appear even when the signal strenght shown is at maximum, the logfiles don't give any hints of potential problems. Cabled network is performing properly.

XQuartz

It is recommended to use XQuartz 2.7.7 or later (http://xquartz.macosforge.org/landing (link is external)). XQuartz installs into /opt/X11 now, and creates symlinks in /usr. If you have one of the previous versions of XQuartz that did install in /usr, the symlink /usr/X11 -> /opt/X11 can not be installed, and some X programs will not start. In that case you have to remove the directory /usr/X11 and manually create the symlink.

 

You are here